<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.persagy.adm.diagram.dao.DiagramTypeMapper">

    <resultMap id="diagramTypeBaseMap" type="com.persagy.adm.diagram.entity.DiagramType">
        <id column="id" property="id" jdbcType="VARCHAR"/>
        <result column="major" property="major" jdbcType="VARCHAR"/>
        <result column="d_system" property="dSystem" jdbcType="VARCHAR"/>
        <result column="code" property="code" jdbcType="VARCHAR"/>
        <result column="name" property="name" jdbcType="VARCHAR"/>
        <result column="remark" property="remark" jdbcType="VARCHAR"/>
        <result column="creator" property="creator" jdbcType="VARCHAR"/>
        <result column="creation_time" property="creationTime" jdbcType="CHAR"/>
        <result column="modifier" property="modifier" jdbcType="VARCHAR"/>
        <result column="modified_time" property="modifiedTime" jdbcType="CHAR"/>
        <result column="valid" property="valid" jdbcType="TINYINT"/>
        <result column="ts" property="ts" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="baseSql">
        id,major,d_system,code,name,remark,creator,creation_time,
        modifier,modified_time,valid,ts
    </sql>

    <!--获取所有系统图列表-->
    <select id="getDiagramTypes" resultMap="diagramTypeBaseMap">
        SELECT
        <include refid="baseSql"/>
        FROM diagram_type
    </select>


</mapper>


